Zum Hauptinhalt springen
POST
/
customers
/
{customerId}
/
email-addresses
cURL
curl -X POST \
 /customers/{customerId}/email-addresses \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer <token>" \
 --data '{
    "email": "john.doe@example.com",
    "receiverName": "John Doe"
}'
{
  "email": "john.doe@example.com",
  "receiverName": "John Doe",
  "id": "00000000-0000-0000-0000-000000000000",
  "isInvoiceEmail": true,
  "isDunningEmail": false,
  "default": "true"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

customerId
string
erforderlich

CustomerEmail identifier

Body

The new CustomerEmail resource

email
string<email>
erforderlich
Maximum string length: 255
Beispiel:

"john.doe@example.com"

receiverName
string
Maximum string length: 255
Beispiel:

"John Doe"

isInvoiceEmail
boolean
Standard:false

Use this to send invoices, credits and reminders to the customer.

Beispiel:

false

isDunningEmail
boolean
Standard:false

Use this to send dunning reminders to the customer.

Beispiel:

false

isDefault
boolean
Standard:false

Set this email as the primary/default email address.

Beispiel:

false

Antwort

CustomerEmail resource created

email
string<email>
erforderlich
Maximum string length: 255
Beispiel:

"john.doe@example.com"

receiverName
string
erforderlich
Maximum string length: 255
Beispiel:

"John Doe"

id
string
Beispiel:

"00000000-0000-0000-0000-000000000000"

isInvoiceEmail
boolean

Use this email for invoices, credits and financial documents.

Beispiel:

true

isDunningEmail
boolean

Use this email for dunning reminders and payment reminders.

Beispiel:

false

default
boolean
Beispiel:

"true"